'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.addColumn('production_nesting_confirmation', 'total_components_weight_kg', {
      type: Sequelize.DECIMAL(18, 3),
      allowNull: true
    });
    await queryInterface.addColumn('production_nesting_confirmation', 'total_components_length', {
      type: Sequelize.DECIMAL(18, 3),
      allowNull: true
    });
    await queryInterface.addColumn('production_nesting_confirmation', 'total_components_width', {
      type: Sequelize.DECIMAL(18, 3),
      allowNull: true
    });
  },

  async down(queryInterface) {
    await queryInterface.removeColumn('production_nesting_confirmation', 'total_components_weight_kg');
    await queryInterface.removeColumn('production_nesting_confirmation', 'total_components_length');
    await queryInterface.removeColumn('production_nesting_confirmation', 'total_components_width');
  }
};
